
$(document).ready(function(){
	var url="https://appapi.itcomplex.mx/monitor/auth.php";
	
    
    //Login Function
	$("#loginform").validate({
		  submitHandler: function(form) {
    	var email=$("#email").val();
    	var password=$("#password").val();
		var fraccionamiento=$("#fraccionamiento").val();
    	var dataString="email="+email+"&password="+password+"&fraccionamiento="+fraccionamiento+"&login=";
			$.ajax({
				type: "POST",
				url: url,
				data: dataString,
				dataType: "json",
				crossDomain: true,
				cache: false,
				beforeSend: function(){ $("#login").html('CONECTANDO...');
				},
				success: function(data){
					if(data.status=="ok")
					{
						localStorage.login="true";
						localStorage.email=email;
						localStorage.fraccionamiento=fraccionamiento;
            localStorage.setItem('userid', JSON.stringify(data.result.id));
			localStorage.setItem('nomusuario', JSON.stringify(data.result.usuario));
			localStorage.setItem('cluster', JSON.stringify(data.result.cluster));
			localStorage.setItem('urlapp', JSON.stringify(data.url));
			localStorage.setItem('tipouser', JSON.stringify(data.result.tipousuario));
			var tipouser = JSON.parse(localStorage.getItem("tipouser"));
			var userid1 = JSON.parse(localStorage.getItem("userid"));
			var nameuser1 = JSON.parse(localStorage.getItem("nomusuario"));
			var cluster = JSON.parse(localStorage.getItem("cluster"));
			var urlapp = JSON.parse(localStorage.getItem("urlapp"));
						window.location.href = "index.html";
					}
					else if(data.status=="error")
					{
						alertify.alert('Usuario no existe', 'Favor de verificar sus credenciales');
						$("#login").html('Acceder');
					}
					else if(data.status=="error2")
					{
						alertify.alert('Cerrar sesión anterior', 'Ya existe una sesión iniciada con este usuario');
						$("#login").html('Acceder');
					}
					else if(data.status=="error3")
					{
						alertify.alert('Usuario inactivo', 'Su usuario ha sido desactivado, favor de contactar con la administración');
						$("#login").html('Acceder');
					}
					else if(data.status=="error4")
					{
						alertify.alert('Fraccionamiento Incorrecto', 'La clave de fraccionamiento es incorrecta');
						$("#login").html('Acceder');
					}
					
				}
			});
	}

    });
    


    //logout function

	 $("#salir2").click(function(){
		  var idusercaf=JSON.parse(localStorage.getItem("userid"));
			var fracc=localStorage.getItem("fraccionamiento");
		   var idemail=localStorage.getItem("email");
		   var dataString = "iduser=" + idusercaf+ "&fraccionamiento=" + fracc+"&email=" + idemail +"&check=";
		 			$.ajax({
				type: "POST",
				url: url,
				data: dataString,
				dataType: "json",
				crossDomain: true,
				cache: false,
				success: function(data){
					if(data.status=="ok")
					{
						localStorage.login="false";
						localStorage.clear();
						window.location.href = "login.html";
					}
					else if(data.status=="error")
					{
						alertify.alert('Error', 'Hubo un error al intentar cerrar la sesión, intente nuevamente');
					}
				}
			});
    });
	
	 //Displaying datos
	$("#iduser").val(JSON.parse(localStorage.getItem("tipouser")));
	$("#cluster").val(JSON.parse(localStorage.getItem("cluster")));
	$("#tipouser").val(JSON.parse(localStorage.getItem("cluster")));
	$("#idemail").val(localStorage.email);
	$("#fracc").val(localStorage.fraccionamiento);
	$("#urlapp").val(JSON.parse(localStorage.getItem("urlapp")));
	
});